include ../cadastro/simplificado/condicao/questionario-3

div#visualizacao-caracterizacao

	.panel.panel-default(name='licenca')
		.panel-heading
			h4.panel-title Dados da licença

		.panel-body
			.row
				.col-sm-12
					blockquote
						.grid-container
							.grid-item
								b.texto-inline CPF/CNPJ: &nbsp;
								| {{caracterizacao.cpfCnpjPessoaEmpreendimento | brCpfCnpj}}
							.grid-item
								b.texto-inline Processo: &nbsp;
								| {{caracterizacao.processo.numero}}
							.grid-item
								b.texto-inline Nome: &nbsp;
								| {{caracterizacao.nomePessoaEmpreendimento}}
							.grid-item
								b.texto-inline Protocolo: &nbsp;
								| {{caracterizacao.numero}}
							.grid-item
								b.texto-inline Nome do Empreendimento: &nbsp;
								| {{caracterizacao.empreendimento.empreendimentoEU.denominacao}}
							.grid-item
								b.texto-inline Número da Licença: &nbsp;
								| {{caracterizacao.numeroLicenca}}


	.panel.panel-default(ng-if="caracterizacao.etapaRascunho > 1", name='atividadeParametro')
		.panel-heading
			h4.panel-title Atividade e parâmetro

		.panel-body
			.row
				.col-sm-12(ng-repeat="atividadeCaracterizacao in caracterizacao.atividadesCaracterizacao")
					blockquote
						div(ng-if="atividadeCaracterizacao.atividade.tipologia.nome")
							span.titulo Tipologia:&nbsp
							span {{atividadeCaracterizacao.atividade.tipologia.nome}}

						div(ng-if="atividadeCaracterizacao.atividade.nome")
							span.titulo Atividade:&nbsp
							span {{atividadeCaracterizacao.atividade.nome}} - 
							b {{atividadeCaracterizacao.isPrincipal === true ? "Atividade principal" : "Atividade complementar" }}
							ul
								li
									b Porte:&nbsp
									| {{atividadeCaracterizacao.porteEmpreendimento.nome}}
								li
									b Código:&nbsp
									| {{atividadeCaracterizacao.atividade.codigo}} - {{atividadeCaracterizacao.atividade.nome}}
								li
									b Potencial Poluidor Degradador - PPD:&nbsp
									| {{atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd}}
								li
									b Estudo disponibilizado:&nbsp
									| {{atividadeCaracterizacao.atividade.tipoEstudo}}

						div.parametros(ng-if="caracterizacao.tipo.nome === 'Simplificado'")
							span.titulo Parâmetro(s) da atividade:
							div(ng-if="atividadeCaracterizacao.atividade.parametros.length > 0")
								ul
									li(ng-repeat='parametro in atividadeCaracterizacao.atividade.parametros')
										span.titulo {{parametro.codigo}} - {{parametro.descricao}}:&nbsp
										span.descricao {{formataParametros(atividadeCaracterizacao.atividadeCaracterizacaoParametros[$index].valorParametro, parametro.casasDecimais)}}
							div(ng-if="atividadeCaracterizacao.atividade.parametros.length === 0")
								p.empty-result A atividade não necessita que sejam informados parâmetros.

				.col-sm-12(ng-if="caracterizacao.descricaoAtividade.length > 0")
					blockquote
						span.titulo Descrição da atividade:&nbsp
						span {{caracterizacao.descricaoAtividade}}


	.panel.panel-default(name='localizacaoGeografica')
		.panel-heading
			h4.panel-title Localização geográfica
		.panel-body(ng-if='caracterizacao.id && caracterizacao.etapaRascunho > 2')
			mapa-caracterizacao(geo='caracterizacao.limite',
					id-mapa='"mapa-georeferenciamento-visualizacao"',
					model='cadastro.geometry',
					layer-group="layerGroup",
					atividades-caracterizacao="caracterizacao.atividadesCaracterizacao",
					controle-atualizacao="true",
					is-caracterizacao='true',
					is-visualizacao='true',
					is-edicao='false',
					localizacao-empreendimento="obterGeometriaDoEmpreendimento()",
					estilo-geo="caracterizacao.estiloLimite",
					is-complexo='caracterizacao.complexo',
					geometrias-complexo="caracterizacao.geometriasComplexo",
					possui-atividade-rural="temAtividadeRural()",
					limite-estado="caracterizacao.dadosEstadoEmpreendimento")
		.panel-body(ng-if="caracterizacao.etapaRascunho <= 2")
			p.empty-result Etapa em andamento			

	.panel.panel-default(name='condicoes')
		.panel-heading
			h4.panel-title Condições
		.panel-body(ng-if="caracterizacao.etapaRascunho > 3")
			.row
				.col-sm-12(ng-if="caracterizacao.processoOutorga")
					blockquote
						div
							span.titulo Processo Outorga:&nbsp
							span {{caracterizacao.processoOutorga}}
							br
							
				.col-sm-12(ng-if="!caracterizacao.processoOutorga")
					blockquote
						div
							span.titulo Processo Outorga:&nbsp
							span Nenhum processo informado
							br

				.col-sm-12(ng-if="caracterizacao.tipo.nome !== 'Dispensa' && caracterizacao.respostas && caracterizacao.respostasPorAtividade", ng-repeat="respostaPorAtividade in caracterizacao.respostasPorAtividade")
					blockquote
						div(ng-if="caracterizacao.tipo.nome !== 'Dispensa'")
							label {{respostaPorAtividade.atividade.nome}}
							ul(ng-repeat="resposta in respostaPorAtividade.respostas")
								span {{resposta.pergunta.texto}}
								p.resposta Resposta: {{resposta.texto}}
								br

				.col-sm-12(ng-if="caracterizacao.tipo.nome === 'Dispensa' && caracterizacao.respostas")
					blockquote
						div
							label {{caracterizacao.resposta.atividade.nome}}
							ul(ng-repeat="resposta in caracterizacao.respostas")
								span {{resposta.pergunta.texto}}
								p.resposta Resposta: {{resposta.texto}}
								br

				.col-sm-12(ng-if="caracterizacao.questionario3")
					blockquote
						form(name="formCondicaoQuestionario", novalidate)
							+questionario3('caracterizacao.questionario3', "true", "false")
		.panel-body(ng-if="caracterizacao.etapaRascunho <= 3")
			p.empty-result Etapa em andamento					

	.panel.panel-default(name='documentacao', ng-if="caracterizacao.tipo.nome === 'Simplificado'")
		.panel-heading
			h4.panel-title Documentação necessária ao licenciamento
		.panel-body(ng-if="caracterizacao.etapaRascunho > 4")
			div.row
				div.col-md-12
					label Requisitos Administrativos:
					table.table.table-striped
						thead
							tr
								th.col-md-1 Status
								th.col-md-5 Nome documento
								th.col-md-2 Data envio
						tbody
							tr(ng-repeat="solicitacaoDocumento in caracterizacao.solicitacoesDocumentoCaracterizacao")
								td {{solicitacaoDocumento.documento ? 'Enviado' : 'Aguardando'}}
								td(class="relative")
									div(class="clicavel" ng-class="{truncate: !solicitacaoDocumento.isExpanded}",
										ng-attr-title="{{!solicitacaoDocumento.isExpanded ? 'Clique para expandir' : 'Clique para comprimir'}}",
										ng-click="solicitacaoDocumento.isExpanded = !solicitacaoDocumento.isExpanded")
										| {{solicitacaoDocumento.tipoDocumento.nome}}
									div(ng-class="!solicitacaoDocumento.isExpanded ? 'margin-20' : ''", ng-if="solicitacaoDocumento.tipoDocumento.caminhoModelo")
										a.traditional(ng-Href="{{etapaDocumentacao.MODELO_URL + solicitacaoDocumento.tipoDocumento.caminhoModelo}}", target="_blank") baixar documento
								td {{solicitacaoDocumento.documento ? solicitacaoDocumento.documento.dataCadastro : '' }}

			div.row(ng-repeat="atividadeCaracterizacao in caracterizacao.atividadesCaracterizacao")
				div.col-md-12
					label {{atividadeCaracterizacao.atividade.nome}} - Requisitos Técnicos:
					table.table.table-striped
						thead
							tr
								th.col-md-1 Status
								th.col-md-5 Nome documento
								th.col-md-2 Data envio
						tbody
							tr(ng-repeat="solicitacaoDocumento in atividadeCaracterizacao.solicitacoesGruposDocumentos")
								td {{solicitacaoDocumento.documento ? 'Enviado' : 'Aguardando'}}
								td(class="relative")
									div(class="clicavel" ng-class="{truncate: !solicitacaoDocumento.isExpanded}",
										ng-attr-title="{{!solicitacaoDocumento.isExpanded ? 'Clique para expandir' : 'Clique para comprimir'}}",
										ng-click="solicitacaoDocumento.isExpanded = !solicitacaoDocumento.isExpanded")
										| {{solicitacaoDocumento.tipoDocumento.nome}}
									div(ng-class="!solicitacaoDocumento.isExpanded ? 'margin-20' : ''", ng-if="solicitacaoDocumento.tipoDocumento.caminhoModelo")
										a.traditional(ng-Href="{{etapaDocumentacao.MODELO_URL + solicitacaoDocumento.tipoDocumento.caminhoModelo}}", target="_blank") baixar documento
								td {{solicitacaoDocumento.documento ? solicitacaoDocumento.documento.dataCadastro : '' }}
		.panel-body(ng-if="caracterizacao.etapaRascunho <= 4")
			p.empty-result Etapa em andamento

	.panel.panel-default(name='enquadramento', ng-if="caracterizacao.tipo.nome === 'Simplificado' && caracterizacao.status.codigo !== 'EM_ANDAMENTO'")
		.panel-heading
			h4.panel-title Enquadramento
		.panel-body(ng-if="caracterizacao.etapaRascunho >= 5")

			.col-xs-7.col-md-7
				div.panel.panel-success
					div.panel-body
						| Informações de pagamento
					div.panel-footer
						.media-div
							.media-context
								div
									.row(ng-repeat="atividadeCaracterizacao in caracterizacao.atividadesCaracterizacao")
										span.col-md-8 {{atividadeCaracterizacao.atividade.nome}}:
										span.col-md-4.text-right
											strong.strong-padding(ng-if='atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd === 0')
												| Isento
											strong.strong-padding(ng-if='atividadeCaracterizacao.atividade.potencialPoluidor.valorPpd > 0')
												| R$ {{atividadeCaracterizacao.valorTaxaLicenciamento | number: 2}}

										hr.hr-small
									.row
										span.col-md-8 Publicação :
										span.col-md-4.text-right
											strong.strong-padding
												| R$ {{caracterizacao.taxaPublicacao | number: 2}}

										hr.hr-small

						.row.hr-small
							span.col-md-8 Total geral:
							span.col-md-4.text-right

								strong.strong-padding(ng-if='caracterizacao.tipoLicenca.isento')
									| Isento
								strong.strong-padding(ng-if='!caracterizacao.tipoLicenca.isento')
									| R$ {{caracterizacao.tipoLicenca.valorDae | number: 2}}
		.panel-body(ng-if="caracterizacao.etapaRascunho < 5")
			p.empty-result Etapa em andamento

	.panel.panel-default(name='documentacao', ng-if="caracterizacao.ativo && caracterizacao.tipo.nome === 'Simplificado' && historicos.length > 0")
		.panel-heading
			h4.panel-title Histórico de alterações da solicitação
		.panel-body
			div.row
				div.col-md-12
					table.table.table-striped
						thead
							tr
								th.col-md-1 Data / Hora
								th.col-md-5 Responsável
								th.col-md-2 Visualizar
						tbody
							tr(ng-repeat="historico in historicos")
								td {{historico.data}}
								td {{historico.nomeResponsavel}}
								td
									div.btn-group
										button.btn.btn-default.btn-xs(title="Clique para visualizar o histórico",
											ng-click="visualizarCaracterizacao(historico.idCaracterizacao)")
											i.i.fa.fa-eye

div#footer-modal

	button.btn.btn-default.pull-left(ng-click="voltar()")
		i.glyphicon.glyphicon-arrow-left
		| &nbsp;Voltar
